<!DOCTYPE html>

<html>

<head>
    <meta charset="utf-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <title></title>
    <meta name="description" content="" />
    <meta name="viewport" content="width=device-width, initial-scale=1" />
    <link rel="stylesheet" href="index.css" />
</head>

<body>
    <form>
        <span>
            <label for="email">Email</label>
            <input type="email" id="email" value="" placeholder="Email@gmail.com"  required/>
        </span>
        <span>
            <label for="email">Password</label>
            <input type="password" id="password" value="" placeholder="xvz78" required />
        </span>
        <div id="passerror"></div>
        <span>
            <label for="gender">Gender</label>
            <select name="gender" id="gender" value="">
                <option value="male">male</option>
                <option value="female">female</option>
                <option value="other">other</option>
            </select>
            </label>
        </span>
        <span>
            <label for="role1">Admin</label>
            <input type="radio" id="role1" class="role" name="role" value="admin" required>
            <label for="role2">User</label>
            <input type="radio" id="role2" class="role" name="role" value="user" required>
        </span>
        <span>
            <label for="perm1">Perm1</label>
            <input type="checkbox" class="perm" value="perm1">
            <label for="perm2">Perm2</label>
            <input type="checkbox" class="perm" value="perm2">
            <label for="perm3">Perm3</label>
            <input type="checkbox" class="perm" value="perm3">
            <label for="perm4">Perm4</label>
            <input type="checkbox" class="perm" value="perm4">
        </span>
        <div id="permerror">
        </div>

        <button type="submit" >submit</button>
    </form>
    <script src="script.js" async defer></script>
</body>

</html>